[Generic driver] CIFS extension failing because of volume in use thus unable to unmount

Bug #1703581 reported by Jan Vondra on 2017-07-11
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Manila
Undecided
Tom Barron

Bug Description

Unmouting of the volume from service instance sometimes fails because Windows clients tends to check the availability of shares even if not mounted and the volume is in use then. The solution is to find out the processes via smbstatus and kill them before unmounting.

Jan Vondra (janvondra) wrote :
Jan Vondra (janvondra) on 2017-08-28
Changed in manila:
assignee: nobody → Jan Vondra (janvondra)
status: New → In Progress
Thomas Bechtold (toabctl) wrote :

Would it be possible to get a stacktrace of the error?

Changed in manila:
status: In Progress → Incomplete
Jan Vondra (janvondra) wrote :

Well, the stacktrace is pretty useless, because it's wrapped into timeout exception:

2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server [req-f9d5ed41-1dd5-4757-9341-d4243d05385c 73979cf70cac4f8995e65bdd833765ac d1c044d0731d42af942c165fc4c801a8 - - -] Exception during message handling: ShareExtendingError: Share 51aeabaa-6471-465e-8e51-0d7f108beaae could not be extended due to error in the driver: Volume has not been extended in 180s. Giving up
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server Traceback (most recent call last):
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server File "/usr/local/lib/python2.7/dist-packages/oslo_messaging/rpc/server.py", line 160, in _process_incoming
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server res = self.dispatcher.dispatch(message)
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server File "/usr/local/lib/python2.7/dist-packages/oslo_messaging/rpc/dispatcher.py", line 213, in dispatch
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server return self._do_dispatch(endpoint, method, ctxt, args)
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server File "/usr/local/lib/python2.7/dist-packages/oslo_messaging/rpc/dispatcher.py", line 183, in _do_dispatch
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server result = func(ctxt, **new_args)
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server File "/opt/stack/manila/manila/share/manager.py", line 186, in wrapped
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server return f(self, *args, **kwargs)
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server File "/opt/stack/manila/manila/utils.py", line 560, in wrapper
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server return func(self, *args, **kwargs)
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server File "/opt/stack/manila/manila/share/manager.py", line 3544, in extend_share
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server reason=six.text_type(e), share_id=share_id)
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server ShareExtendingError: Share 51aeabaa-6471-465e-8e51-0d7f108beaae could not be extended due to error in the driver: Volume has not been extended in 180s. Giving up
2017-09-21 15:12:46.684 30033 ERROR oslo_messaging.rpc.server

Further investigation reveals the reason - the samba processes holding volume making it unavailable to unmount.

Changed in manila:
assignee: Jan Vondra (janvondra) → Tom Barron (tpb)
status: Incomplete → In Progress
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers